[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Building 1.8.19 from source tarball

From: Daniel Shahaf <d.s_at_daniel.shahaf.name>
Date: Wed, 31 Jan 2018 16:30:14 +0000

Stefan Sperling wrote on Wed, 31 Jan 2018 16:58 +0100:
> On Wed, Jan 31, 2018 at 10:45:07AM -0500, Nathan Hartman wrote:
> > The get-deps.sh script that comes with the source tarball is fetching
> > apr-1.4.6 and apr-util-1.5.1. There are newer versions available,
> > namely apr-1.6.3 and apr-util-1.6.1.
>
> You should be able to use current APR releases without issues.

We don't update the get-deps.sh recommended version whenever APR makes
a release; we only update that in the run-up to a 1.x.0 release and when
upstream APR has a high-severity bug. Consequently, it's common that
even on the day a Subversion release is made, its get-deps.sh wouldn't point to
the latest APR version, but to whichever was latest at the time of the preceding 1.x.0.
Received on 2018-01-31 17:30:32 CET

This is an archived mail posted to the Subversion Users mailing list.